@font-face {
  font-family: "PT Sans";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/ptsans-400.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-family: "PT Sans";
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/ptsans-700.woff2") format("woff2");
  font-display: swap;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

img {
  max-width: 100%;
  height: auto;
}

html {
  height: 100%;
}

body {
  position: relative;
  min-height: 100%;
  margin: 0;

  font-family: "PT Sans", "Arial", sans-serif;
  font-size: 18px;
  line-height: 1.17;
  color: #000000;
  background-color: #f2f2f2;
}

.container {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100%;

  max-width: 1200px;
  margin: 0 auto;

  background-color: #ffffff;
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.2);
}

.header,
.footer {
  flex-shrink: 0;
}

.main {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}

.button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  min-width: 60px;
  min-height: 36px;
  padding: 8px 15px;

  font-family: inherit;
  font-weight: 700;
  font-size: 16px;
  line-height: 1.25;
  text-transform: uppercase;
  text-decoration: none;
  text-align: center;
  color: #ffffff;
  word-break: break-word;

  border: none;
  border-radius: 4px;
  background-color: #756157;
  cursor: pointer;
  user-select: none;

  transition: opacity 0.3s ease, color 0.3s ease, background-color 0.3s ease, border-color 0.3s ease;
}

.button--blue {
  background-color: #82b3d3;
}

.button--transparent {
  padding: 5px 15px;

  background-color: transparent;
  border: 3px solid transparent;
}

.button:hover,
.button:focus-visible {
  background-color: #615048;
}

.button--blue:hover,
.button--blue:focus-visible {
  background-color: #68a2ca;
}

.button--transparent:hover {
  color: rgba(255, 255, 255, 0.6);
  background-color: transparent;
}

.button--transparent:focus-visible {
  background-color: transparent;
  border-color: #83b3d3;
}

.button:active {
  color: rgba(255, 255, 255, 0.3);

  background-color: #756157;
}

.button--blue:active {
  background-color: #68a2ca;
}

.button--transparent:active {
  color: rgba(255, 255, 255, 0.3);

  background-color: transparent;
}

.button:disabled {
  background-color: #e5e5e5;

  pointer-events: none;
  cursor: not-allowed;
}

.button--transparent:disabled {
  color: rgba(255, 255, 255, 0.1);

  background-color: transparent;
}

.visually-hidden {
  position: absolute;

  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;

  white-space: nowrap;

  border: 0;

  clip: rect(0 0 0 0);
  clip-path: inset(100%);
}

/* Index Page */

/* Header */
.header {
  display: flex;
  align-items: start;
  gap: 30px;
  padding: 0 70px;
}

.header__logo {
  z-index: 1;
  flex-shrink: 0;
  margin: 0 0 -10px 0;
}

.logo {
  transition: opacity 0.3s ease;
}

.logo[href]:hover {
  opacity: 0.8;
}

.logo[href]:active {
  opacity: 0.5;
}

.header__nav {
  display: flex;
  margin: 0 auto 0 0;
  max-width: 510px;
}

.main-nav__list {
  display: flex;
  align-items: start;
  flex-wrap: wrap;
  gap: 2px 4px;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.main-nav__item {
  display: flex;
  min-height: 64px;
}

.main-nav__link {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 14px;

  font-size: 20px;
  font-weight: 700;
  line-height: 1.2;
  color: inherit;
  text-decoration: none;

  transition: color 0.3s ease;
}

.main-nav__link--current::after {
  content: "";
  position: absolute;
  bottom: -1px;
  right: 14px;
  left: 14px;
  height: 2px;
  background-color: #756257;
}

.main-nav__link[href]:hover {
  color: #756157;
}

.main-nav__link[href]:focus-visible {
  color: #756157;
}

.main-nav__link[href]:active {
  color: rgba(117, 97, 87, 0.3);
}

.header__menu {
  display: flex;
  justify-content: flex-end;
  align-items: start;
  gap: 2px 4px;
  margin: 0 0 0 auto;
  min-height: 64px;
  padding: 0;

  list-style-type: none;
}

.header__menu-item {
  flex-shrink: 0;
  display: flex;
  justify-content: center;

  min-width: 40px;
  min-height: 64px;
}

.header__menu-item--button {
  align-self: center;
  margin-left: 18px;
  display: flex;
  align-items: center;
  padding: 12px 0;
}

.header__search {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  min-width: 40px;

  font-size: inherit;
  color: #000000;

  transition: color 0.3s ease;
}

.header__search::before {
  content: "";
  display: block;
  width: 20px;
  height: 20px;

  -webkit-mask-image: url("../images/icons/icon-search.svg");
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: 20px 20px;
  mask-image: url("../images/icons/icon-search.svg");
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: 20px 20px;

  background-color: currentColor;
}

.header__favourites {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  min-width: 40px;

  font-size: inherit;
  color: #000000;
  text-decoration: none;

  transition: color 0.3s ease;
}

.header__favourites::before {
  content: "";
  display: block;
  width: 18px;
  height: 17px;
  margin-top: 1px;

  -webkit-mask-image: url("../images/icons/icon-heart.svg");
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: 18px 17px;
  mask-image: url("../images/icons/icon-heart.svg");
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: 18px 17px;

  background-color: currentColor;
}

.header__favourites-number {
  position: absolute;
  top: 50%;
  right: 2px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  min-width: 20px;
  min-height: 20px;

  font-size: 10px;
  line-height: 1;
  color:#ffffff;

  background-color: #7db54f;
  border-radius: 50%;
  transform: translateY(-50%) translateY(-11px);
  transition: background-color 0.3s ease;
}

.header__search:hover,
.header__favourites:hover {
  color: #756157;
}

.header__search:focus-visible,
.header__favourites:focus-visible {
  color: #756157;
}

.header__search:active,
.header__favourites:active {
  color: rgba(117, 97, 87, 0.3);
}

.header__favourites:hover .header__favourites-number {
  background-color: #a3cb82;
}

.header__favourites:active .header__favourites-number {
  background-color: #bed2ae;
}

.header__button {
  min-width: 160px;
  max-width: 25ch;
}

/* Main */

/* Promo */

.promo {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 485px;

  color: #ffffff;

  background-color: #3f5e72;
  background-image: url("../images/background/bg-promo.jpg");
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
}

.promo::after {
  content: "";
  position: absolute;
  bottom: -0.1px;
  left: 0;
  right: 0;
  width: 100%;
  height: 57px;
  background-color: #ffffff;
	clip-path: shape(from 0% 100%,vline to 0%,line to 20.83% 42.11%,vline to 0%,line to 50% 100%,line to 79.17% 0%,vline to 42.11%,line to 100% 0%,vline to 100%,hline to 0%,close);
}

.promo__image {
  display: block;
  margin-bottom: 31px;
  object-fit: contain;
}

/* Advantages */

.advantages {
  padding-top: 69px;
}

.advantages__title {
  max-width: 65%;
  margin: 0 auto 25px;
  padding: 0;

  font-size: 30px;
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  text-align: center;
  word-break: break-word;
}

.advantages__intro {
  max-width: 65%;
  margin: 0 auto 90px;
  padding: 0;

  font-size: 22px;
  line-height: 1.18;
  text-align: center;
  color: #333333;
  word-break: break-word;
  text-wrap: balance;
}

.advantages__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-flow: row dense;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.advantages__item {
  padding: 112px 68px;

  text-align: center;
  color: #333333;

  background-color: rgba(131, 179, 211, 0.12);
}

.advantages__item:nth-of-type(3) {
  background-color: rgba(131, 179, 211, 0.2);
}

.advantages__item--with-photo {
  grid-column: 1/-1;
  display: grid;
  grid-template-columns: subgrid;
  padding: 0;

  color: #ffffff;

  background-color: #82b3d3;
}

.advantages__item--with-photo .advantages__item-text {
  padding: 101px 74px;
}

.advantages__item--with-photo .advantages__item-image {
  grid-column: span 2;
  align-self: stretch;
  object-fit: cover;

  height: 100%;
  aspect-ratio: 800/385;
}

.advantages__item-title {
  position: relative;
  margin: 0 auto 63px;
  padding: 0;
  max-width: 15ch;

  font-size: 24px;
  font-weight: 700;
  line-height: 1.17;
  text-transform: uppercase;
  word-break: break-word;
  text-wrap: balance;
}

.advantages__item-title::after {
  content: "";
  position: absolute;
  width: 60px;
  height: 2px;
  bottom: -32px;
  left: 0;
  right: 0;
  margin: 0 auto;

  background-color: rgba(0, 0, 0, 0.3);
}

.advantages__item--with-photo .advantages__item-title::after {
  background-color: rgba(255, 255, 255, 0.3);
}

.advantages__item-description {
  margin: 0 auto;
  padding: 0;

  font-size: 18px;
  line-height: 1.17;
  word-break: break-word;
}

.advantages__item-image {
  display: block;
  background-color: #82b3d3;
}

/* Benefits */

.benefits {
  padding-top: 64px;
}

.benefits__title {
  max-width: 40ch;
  margin: 0 auto 20px;
  padding: 0;

  font-size: 30px;
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  text-align: center;
  word-break: break-word;
}

.benefits__intro {
  max-width: 45ch;
  margin: 0 auto 64px;
  padding: 0;

  font-size: 22px;
  line-height: 1.18;
  text-align: center;
  color: #333333;
  word-break: break-word;
  text-wrap: balance;
}

.benefits__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.benefits__item {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;
  margin: 0;
  padding: 81px 20%;

  text-align: center;
}

.benefits__item:nth-of-type(2n+1) {
  background-color: rgba(131, 179, 211, 0.12);
}

.benefits__item-title {
  margin: 0;

  font-size: 24px;
  font-weight: 700;
  line-height: 1.17;
  text-transform: uppercase;
  word-break: break-word;
}

.benefits__item::before {
  content: "";
  position: relative;
  display: block;
  width: 75px;
  height: 72px;
  margin: 0 auto;

  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.benefits__item--accomodation::before {
  background-image: url("../images/benefits/benefits-house-icon.svg");
}

.benefits__item--food::before {
  background-image: url("../images/benefits/benefits-burger-icon.svg");
}

.benefits__item--souvenir::before {
  background-image: url("../images/benefits/benefits-present-icon.svg");
}

.benefits__item-description {
  margin: 0;

  font-size: 18px;
  line-height: 1.17;
  color: #333333;
  word-break: break-word;
}

/* Hotels Search */

.hotels-search {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 96px 70px;
}

.hotels-search__title {
  max-width: 45ch;
  margin: 0 auto 20px;
  padding: 0;

  font-size: 30px;
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  text-align: center;
  word-break: break-word;
  text-wrap: balance;
}

.hotels-search__intro {
  max-width: 60%;
  margin: 0 auto 54px;
  padding: 0;

  font-size: 22px;
  line-height: 1.18;
  text-align: center;
  color: #333333;
  word-break: break-word;
  text-wrap: balance;
}

.hotels-search__button {
  width: min(calc(100% - 40px), 375px);
  min-height: 52px;
  padding: 8px 15px;

  font-size: 20px;
  line-height: 1.8;
}

/* Newsletter */

.newsletter {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 96px 70px 104px;
}

.newsletter--index {
  padding: 96px 0 104px;
  color: #ffffff;

  background-color: #385e72;
  background-image: url("../images/background/bg-newsletter.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.newsletter--catalog {
  padding-top: 105px;
}

.newsletter__title {
  max-width: 45ch;
  margin: 0 auto 20px;
  padding: 0;

  font-size: 30px;
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  text-align: center;
  word-break: break-word;
  text-wrap: balance;
}

.newsletter__intro {
  max-width: 44ch;
  margin: 0 auto 55px;
  padding: 0;

  font-size: 22px;
  line-height: 1.18;
  text-align: center;
  word-break: break-word;
}

.newsletter__form {
  display: flex;
  flex-wrap: wrap;
  align-self: center;
  width: min(calc(100% - 40px), 684px);
  max-width: 100%;
  min-height: 52px;
}

.newsletter__form label {
  display: flex;
  flex-grow: 1;
}

.newsletter__input {
  padding: 12px 20px;
  flex-grow: 1;

  font-family: inherit;
  font-size: 18px;
  line-height: 1.33;

  background-color:  #f2f2f2;
  border-radius: 4px 0 0 4px;
  border: none;
  cursor: pointer;
}

.newsletter__input:hover:not(:disabled) {
  background-color: #e5e5e5;
}

.newsletter__input::placeholder {
  color: rgba(0, 0, 0, 0.6);
}

.newsletter__input:disabled {
  color: rgba(0, 0, 0, 0.3);
  opacity: 0.3;
  cursor: not-allowed;
  pointer-events: none;
}

.newsletter__button {
  flex-basis: 34%;
  min-height: 52px;
  padding: 8px 15px;

  font-size: 20px;
  line-height: 1.8;

  border-radius: 0 4px 4px 0;
}

/* Footer */

.footer {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
  align-items: start;
  gap: 10px 42px;
  margin-top: auto;
  padding: 46px 70px 30px;
}

.footer__address {
  display: flex;
  justify-content: center;
  flex-direction: column;
  justify-self: center;
  gap: 10px;
  padding-left: 27px;
}

.footer__phone {
  font-size: 40px;
  font-style: normal;
  line-height: 1;
  text-transform: uppercase;
  text-align: center;
  color: #000000;
  text-decoration: none;
  word-break: break-word;
  transition: color 0.3s ease;
}

.footer__phone:hover {
  color: #756157;
}

.footer__phone:focus-visible {
  color: #756157;
}

.footer__phone:active {
  color: rgba(117, 97, 87, 0.3);
}

.footer__copyright-wrapper {
  flex-shrink: 0;
  display: inline-flex;
  justify-content: flex-end;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
}

.copyright {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  min-width: 40px;
  min-height: 37px;
}

.copyright svg {
  fill: #000000;

  transition: fill 0.3s ease;
}

.copyright:hover svg {
  fill: #756157;
}

.copyright:focus-visible svg {
  fill: #756157;
}

.copyright:active svg {
  fill: rgba(117, 97, 87, 0.3);
}

/* Socials */

.socials {
  display: flex;
  flex-wrap: wrap;
  gap: 4px;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.socials__item {
  flex-shrink: 0;
  padding: 2px 4px;
}

.socials__link {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  min-width: 36px;
  min-height: 36px;
}

.socials__link svg {
  fill: #83b3d3;

  transition: fill 0.3s ease;
}

.socials__link:hover svg {
  fill: #68a2ca;
}

.socials__link:focus-visible svg {
  fill: #68a2ca;
}

.socials__link:active svg {
  fill: rgba(104, 162, 202, 0.3);
}

/* Catalog Page */

/* Catalog Filter */

.page-title {
  max-width: 65ch;
  margin: 0 0 4px;
  padding: 0;

  font-size: 60px;
  font-weight: 700;
  line-height: 1.3;
  word-break: break-word;
  text-wrap: balance;
}

.catalog__filter-wrapper {
  padding: 35px 70px 70px;
  color: #ffffff;
  background-color: #3f5e72;
  background-image: url("../images/background/bg-catalog-filter.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.breadcrumbs {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
  margin: 0 0 36px;
  padding: 0;
  list-style-type: none;
}

.breadcrumbs__item {
  display: inline-flex;
  align-items: center;
  gap: 10px;
}

.breadcrumbs__item:not(:last-of-type)::after {
  content: "";
  position: relative;

  display: inline-flex;
  align-items: center;
  width: 7px;
  height: 10px;
  z-index: 10;

  background-image: url("../images/icons/icon-breadcrumbs-arrow.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 7px 10px;
}

.breadcrumbs__item--home {
  gap: 4px;
}

.breadcrumbs__link {
  display: inline-flex;
  align-items: center;
  min-width: 20px;
  min-height: 29px;

  font-size: 16px;
  line-height: 1.31;
  color: inherit;
  text-decoration: none;
  word-break: break-word;

  transition: color 0.3s ease;
}

.breadcrumbs__link[href]:hover {
  color: rgba(255, 255, 255, 0.6);
}

.breadcrumbs__link[href]:focus-visible {
  color: #ffffff;
}

.breadcrumbs__link[href]:active {
  color: rgba(255, 255, 255, 0.3);
}

.breadcrumbs__link--home::before {
  content: "";
  width: 12px;
  height: 12px;

  -webkit-mask-image: url("../images/icons/icon-breadcrumbs-house.svg");
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: 12px 12px;
  mask-image: url("../images/icons/icon-breadcrumbs-house.svg");
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: 12px 12px;
  background-color: currentColor;
}

.catalog-filter__title {
  margin: 0 0 32px;
  padding: 0;

  font-size: 20px;
  font-weight: 700;
  line-height: 1.2;
  text-transform: capitalize;
  word-break: break-word;
}

.catalog-filter {
  display: flex;
  flex-wrap: wrap;
  gap: 30px 71px;
}

.catalog-filter__group {
  margin: 0;
  padding: 0;
  border: none;
}

.catalog-filter__group:nth-child(3) {
  margin-left: auto;
}

.catalog-filter__list {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.catalog-filter__label {
  display: flex;
  align-items: center;
  column-gap: 16px;

  font-size: 18px;
  line-height: 1.28;
  word-break: break-word;
  cursor: pointer;
}

.catalog-filter__label:has(input:disabled) {
  opacity: 0.3;
  cursor: not-allowed;
  pointer-events: none;
}

.catalog-filter__input[type="checkbox"],
.catalog-filter__input[type="radio"] {
  position: absolute;
  display: flex;
  column-gap: 16px;

  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;

  white-space: nowrap;

  border: 0;

  clip: rect(0 0 0 0);
  clip-path: inset(100%);
}

.catalog-filter__input[type="checkbox"] + span,
.catalog-filter__input[type="radio"] + span {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  width: 20px;
  height: 20px;

  font-size: 0;
  transition: opacity 0.3s ease;
}

.catalog-filter__input[type="checkbox"] + span:before,
.catalog-filter__input[type="radio"] + span:before {
  content: "";
  position: absolute;

  display: block;
  width: 20px;
  height: 20px;

  background-color: #ffffff;
  cursor: pointer;
  border-radius: 4px;
}

.catalog-filter__input[type="radio"] + span:before {
  border-radius: 50%;
}

.catalog-filter__input[type="checkbox"] + span:after {
  content: "";
  position: absolute;

  display: block;
  width: 20px;
  height: 20px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 13px 10px;
}

.catalog-filter__input[type="checkbox"]:checked + span:after {
  background-image: url("../images/icons/icon-check.svg");
}

.catalog-filter__input[type="radio"]:checked + span:after {
  content: "";
  position: absolute;

  display: block;
  width: 10px;
  height: 10px;
  background-color: #3f5e72;
  border-radius: 50%;
}

.catalog-filter__label:hover {
  opacity: 0.6;
}

.catalog-filter__input[type="checkbox"]:focus-within + span:before {
  outline: 3px solid #83b3d3;
}

.catalog-filter__input[type="radio"]:focus-within + span:before {
  outline: 3px solid #83b3d3;
}

.catalog-filter__label:active {
  opacity: 0.3;
}

.catalog-filter__price {
  display: grid;
  grid-template-columns: 143px 143px;
  gap: 2px;
  max-width: 288px;
  margin: 0 0 44px;
  padding: 0;

  font-size: 18px;
  line-height: 1.33;
}

.range-label {
  position: relative;
  display: flex;
  justify-content: space-between;
  padding: 0;
}

.range-input {
  position: relative;
  display: flex;
  justify-content: space-between;
  padding: 12px 45px 12px 20px;

  word-break: break-word;
  max-width: 143px;

  font-family: inherit;
  font-size: 18px;
  font-weight: 700;
  line-height: 1.33;

  background-color: #ffffff;
  border: none;
  appearance: textfield;
  cursor: pointer;
}

.range-input::-webkit-outer-spin-button,
.range-input::-webkit-inner-spin-button {
  appearance: none;
  margin: 0;
}

.range-input--min {
  border-radius: 4px 0 0 4px;
}

.range-input--max {
  border-radius: 0 4px 4px 0;
}

.range-label::after {
  position: absolute;
  top: 10px;
  right: 20px;
  z-index: 1;

  color: #000000;
  opacity: 0.3;
}

.range-label--min::after {
  content: "от";
}

.range-label--max::after {
  content: "до";
}

.range-input:hover:not(:disabled),
.range-input:focus {
  background-color: #f2f2f2;
}

.range-input:disabled {
  color: rgba(0, 0, 0, 0.3);
  background-color: #f2f2f2;
  opacity: 0.6;
  cursor: not-allowed;
  pointer-events: none;
}

.range-scale {
  position: relative;
  display: block;
  height: 4px;
  background-color: rgba(255, 255, 255, 0.3);
}

.range-bar {
  position: absolute;
  height: 4px;
  background-color: #ffffff;
}

.range-bar:has(.range-toggle:disabled + .range-toggle:disabled) {
  background-color: #6e7577;
}

.range-toggle {
  position: absolute;
  top: 2px;
  display: block;
  width: 20px;
  height: 20px;
  appearance: none;

  background-color: #ffffff;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  user-select: none;

  transform: translateY(-50%);
  transition: outline 0.3s ease, box-shadow 0.3s ease;
}

.range-toggle:hover {
  box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.range-toggle:focus-visible {
  outline: 2px solid #83b3d3;
  box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
}

.range-toggle:active {
  outline: 2px solid #83b3d3;
  box-shadow: 0 7px 15px 0 rgba(0, 0, 0, 0.4);
}

.range-toggle:disabled {
  background-color: #6e7577;
  cursor: not-allowed;
  pointer-events: none;
}

.range-toggle--max {
  right: -10px;
}

.catalog-filter__buttons {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 32px;
  min-width: 191px;
  padding-top: 56px;
}

.catalog__results {
  margin: 0;
  padding: 50px 70px 50px 70px;
}

.catalog__heading-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px 70px;
  margin-bottom: 40px;
}

.catalog__heading {
  max-width: 27ch;
  flex-grow: 1;
  margin: 0 auto 0 0;
  padding: 0;

  font-size: 30px;
  line-height: 1.2;
  text-transform: uppercase;
  word-break: break-word;
  text-wrap: balance;
}

/* Select Control */

.catalog__select-control {
  position: relative;
  padding: 12px 44px 12px 16px;
  width: 290px;
  max-width: 100%;
  font-family: inherit;
  font-size: 18px;
  font-weight: 400;
  line-height: 1.17;
  color: #333333;

  background-color: transparent;
  background-image: url("../images/icons/icon-arrow-down.svg");
  background-repeat: no-repeat;
  background-position: right 20px center;
  background-size: 12px 8px;

  appearance: none;
  border: 2px solid #e5e5e5;
  border-radius: 4px;
  cursor: pointer;
  user-select: none;

  transition: border-color 0.3s ease;
}

.catalog__select-control:hover {
  border-color: #68a2ca;
}

.catalog__select-control:disabled {
  color: #000000;
  border-color: #000000;
  opacity: 0.3;
  pointer-events: none;
  cursor: default;
}

.catalog__view {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex-wrap: wrap;
  gap: 8px;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.catalog__view-item {
  display: inline-flex;
}

.catalog__view-link {
  display: inline-flex;
  min-width: 48px;
  min-height: 48px;

  background-position: center;
  background-repeat: no-repeat;
  background-size: 16px 14px;

  border: 2px solid #e5e5e5;
  border-radius: 4px;

  transition: border-color 0.3s ease;
}

.catalog__view-link--active {
  border-color: #000000;
}

.catalog__view-link--tile {
  background-image: url("../images/icons/icon-tile-view.svg");
}

.catalog__view-link--card {
  background-image: url("../images/icons/icon-card-view.svg");
}

.catalog__view-link--list {
  background-image: url("../images/icons/icon-list-view.svg");
}

.catalog__view-link:hover {
  border-color: #000000;
}

.catalog__view-link:focus-visible {
  border-color: #68a2ca;
}

.catalog__view-link:active {
  border-color: #000000;
}

.catalog__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  margin: 0 0 40px;
  padding: 0 0 40px;
  list-style-type: none;

  border-bottom: 1px solid #e5e5e5;
}

/* Hotel Card */

.hotel-card {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: 212px 1fr auto auto auto;
  gap: 16px 20px;
  padding: 20px;

  border: 1px solid #e5e5e5;
  border-radius: 4px;
}

.hotel-card__image-link {
  grid-column: 1/-1;
}

.hotel-card__image {
  display: block;

  width: 100%;
  max-height: 100%;
  min-height: 212px;

  background-color: #3f5e72;
  object-fit: contain;
}

.hotel-card__title-link {
  grid-column: 1/-1;

  width: fit-content;
  color: inherit;
  text-decoration: none;
  cursor: pointer;

  transition: color 0.3s ease;
}

.hotel-card__title-link[href]:hover,
.hotel-card__title-link[href]:focus-visible {
  color: #756157;
}

.hotel-card__title-link[href]:active {
  color: rgba(117, 97, 87, 0.3);
}

.hotel-card__title {
  margin: 0;
  padding: 0;

  font-size: 24px;
  font-weight: 700;
  line-height: 1.17;
  word-break: break-word;
  text-wrap: balance;
}

.hotel-card__type {
  grid-column: 1/2;
  margin: 0;
  padding: 0;

  font-size: 18px;
  line-height: 1.17;
  color: #333333;
  word-break: break-word;
}

.hotel-card__price {
  grid-column: 2/-1;
  margin: 0;
  padding: 0;

  font-size: 18px;
  line-height: 1.17;
  text-align: right;
  color: #333333;
  word-break: break-word;
}

.hotel-card__stars {
  grid-column: 1/2;
  align-self: center;
  margin: 0;
  padding: 0;
}

.hotel-card__stars-list {
  display: flex;
  flex-wrap: wrap;
  gap: 6px;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.hotel-card__star-item {
  display: inline-flex;
}

.hotel-card__star-icon {
  display: inline-flex;
}

.hotel-card__star-icon::before {
  content: "";
  width: 18px;
  height: 17px;
  background-image: url("../images/icons/icon-star.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 18px 17px;
}

.hotel-card__rating {
  grid-column: 2/-1;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  padding: 5px;
  min-height: 36px;

  font-size: 16px;
  line-height: 1.25;
  text-align: center;
  text-transform: uppercase;
  color: #333333;
  word-break: break-word;

  background-color: #f2f2f2;
  border-radius: 4px;
}

.hotel-card__link {
  grid-column: 1/2;
}

.hotel-card__favourites {
  grid-column: 2/-1;
  padding: 8px 16px;

  background-color: #82b3d3;
}

.hotel-card__favourites--active {
  background-color: #7db54f;
}

.hotel-card__favourites--active:hover,
.hotel-card__favourites--active:focus-visible {
  background-color: #6c9e42;
}

.hotel-card__favourites--active:active {
  background-color: #7db54f;
}

/* Pagination */

.pagination {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.pagination__link {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  min-width: 60px;
  min-height: 60px;

  font-size: 20px;
  font-weight: 700;
  line-height: 1.8;
  text-transform: uppercase;
  text-align: center;
  text-decoration: none;
  color: #ffffff;

  background-color: #82b3d3;
  border-radius: 4px;

  transition: color 0.3s ease, background-color 0.3s ease;
}

.pagination__link[href]:hover,
.pagination__link[href]:focus-visible {
  background-color: #68a2ca;
}

.pagination__link[href]:active {
  color: rgba(255, 255, 255, 0.3);

  background-color: #68a2ca;
}

.pagination__link--current {
  color: #000000;

  background-color: #f2f2f2;
}

.pagination__link--ellipsis {
  color: #000000;

  background-color: transparent;
}

/* Modal */

.modal-container {
  position: fixed;
  z-index: 1000;
  inset: 0;

  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  padding: 2rem;

  background-color: rgba(242, 242, 242, 0.8);
}

.modal-container--closed {
  display: none;
}

.modal {
  position: relative;
  padding: 64px 70px;
  max-width: 717px;
  margin: auto;

  background-color: #ffffff;
  border-radius: 30px;
  overflow-y: auto;
  box-shadow: 0 25px 50px 0 rgba(0, 0, 0, 0.15);
}

.modal__title {
  margin: 0 0 64px;
  padding: 0 56px 0 0;

  font-size: 30px;
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  word-break: break-word;
  text-wrap: balance;
}

.modal__form {
  max-width: 577px;
  display: grid;
  grid-template-columns: 137px 110px 88px 131px 111px;
  grid-auto-flow: row dense;
  row-gap: 23px;
}

.modal__label {
  position: relative;
  grid-column: 1/-1;
  display: grid;
  grid-template-columns: subgrid;
  gap: 4px 5px;
  align-items: center;

  margin: 0;
  padding: 0;

  font-size: 20px;
  font-weight: 700;
  line-height: 1.2;
  text-transform: capitalize;
  word-break: break-word;
}

.modal__label--adults {
  grid-column: 1/3;
}

.modal__label--children {
  grid-column: 4/6;
  column-gap: 0;
}

.modal__submit-button {
  grid-column: 1/-1;
  margin-top: 25px;
  padding: 18px 15px;

  font-size: 20px;
  line-height: 1.2;

  border-radius: 10px;
}

.modal__date-input {
  grid-column: 2/-1;
  margin: 0;
  padding: 12px 44px 12px 18px;

  font-family: inherit;
  font-size: 18px;
  font-weight: 700;
  line-height: 1.33;

  background-color: #f2f2f2;
  border: none;
  border-radius: 4px;
  cursor: pointer;

  background-image: url("../images/icons/icon-calender.svg");
  background-repeat: no-repeat;
  background-size: 16px 15px;
  background-position: center right 20px;
  transition: background-color 0.3s ease;
}

.modal__date-input::placeholder {
  color: rgba(0, 0, 0, 0.6);
}

.modal__date-input:hover:not(:disabled),
.modal__date-input:focus-visible {
  background-color: #e5e5e5;
}

.modal__date-input:disabled {
  color: rgba(0, 0, 0, 0.3);
  opacity: 0.7;
  background-color: #f2f2f2;
  cursor: not-allowed;
  pointer-events: none;
}

.modal__input-wrapper {
  width: 111px;
  grid-column: span 1;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin: 0;
}

.modal__number-input {
  width: 31px;
  padding: 12px 2px;
  margin: 0;

  font-family: inherit;
  font-size: 18px;
  font-weight: 700;
  line-height: 1.33;
  text-align: center;

  background-color: #f2f2f2;
  border: none;
  cursor: pointer;
  border-radius: 0;
  appearance: textfield;
  transition: background-color 0.3s ease;
}

.modal__number-input::-webkit-outer-spin-button,
.modal__number-input::-webkit-inner-spin-button {
  appearance: none;
  margin: 0;
}

.modal__number-input:hover:not(:disabled),
.modal__number-input:focus-visible {
  background-color: #e5e5e5;
}

.modal__number-input:disabled {
  color: rgba(0, 0, 0, 0.3);
  opacity: 0.6;
  cursor: not-allowed;
  pointer-events: none;
}

.modal__number-button {
  display: flex;
  width: 40px;
  justify-content: center;
  align-items: center;

  color: rgba(117, 97, 87, 0.3);
  background-color: #f2f2f2;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.modal__number-button:first-child {
  border-radius: 4px 0 0 4px;
}

.modal__number-button:last-child {
  border-radius: 0 4px 4px 0;
}

.modal__number-button svg {
  fill: currentColor;

  transition: fill 0.3s ease;
}

.modal__number-button:hover,
.modal__number-button:focus-visible {
  color: #000000;
  background-color: #e5e5e5;
}

.modal__number-button:active {
  color: rgba(0, 0, 0, 0.2);
  background-color: #f2f2f2;
}

.modal__number-button:disabled {
  color: rgba(117, 97, 87, 0.1);
  opacity: 0.6;
  cursor: not-allowed;
  pointer-events: none;
}

.modal__input-message {
  grid-column: 2/-1;
  padding: 0 18px;
  margin: 0;

  font-weight: 400;
  font-size: 16px;
  line-height: 1.31;
  color: #333333;
  text-transform: none;
  word-break: break-word;
}

.modal__input-message--error {
  color: #ff5757;
}

.modal__close-button {
  position: absolute;
  top: 64px;
  right: 52px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 52px;
  height: 52px;

  color: #000000;
  background-color: #f2f2f2;
  border-radius: 50%;
  cursor: pointer;
  border: none;

  transition: opacity 0.3s ease, background-color 0.3s ease;
}

.modal__close-button::before {
  content: "";
  width: 14px;
  height: 14px;

  -webkit-mask-image: url("../images/icons/icon-close.svg");
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  -webkit-mask-size: 14px 14px;
  mask-image: url("../images/icons/icon-close.svg");
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: 14px 14px;
  background-color: currentColor;
  transition: background-color 0.3s ease;
}

.modal__close-button:hover,
.modal__close-button:focus-visible {
  background-color: #e5e5e5;
}

.modal__close-button:active {
  background-color: #e5e5e5;
  color: rgba(0, 0, 0, 0.3);
}

.modal__close-button:disabled {
  opacity: 0.3;
  cursor: not-allowed;
  pointer-events: none;
}

.tooltip {
  position: relative;
  display: inline-flex;
  margin-left: 5px;
}

.tooltip__toggle {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 26px;
  height: 26px;
  margin: 0;
  padding: 0;

  color: #ffffff;
  border: none;
  border-radius: 50%;
  background-color: #83b3d3;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.tooltip-toggle:hover,
.tooltip-toggle:focus {
  background-color: #68a2ca;
}

.tooltip__text {
  position: absolute;
  top: 100%;
  margin-top: 15px;
  left: 50%;

  display: none;
  width: 256px;
  padding: 18px 18px 25px 22px;
  font-weight: 400;
  font-size: 16px;
  line-height: 1.25;
  color: #ffffff;
  text-transform: none;

  box-shadow: 0 15px 30px 0 rgba(0, 0, 0, 0.3);
  background-color: #333333;
  border-radius: 10px;

  transform: translateX(-50%);
}

.tooltip__text::after {
  content: "";
  position: absolute;
  top: -17px;
  left: 50%;
  display: block;
  width: 18px;
  border: 9px solid transparent;
  border-bottom: 9px solid #333333;
  transform: translateX(-50%);
}

.tooltip__toggle:hover + .tooltip__text,
.tooltip__toggle:focus + .tooltip__text {
  display: block;
}
